# Generated by Django 2.2.6 on 2019-11-24 23:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ConductorVehiculo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('estado', models.IntegerField(choices=[(1, 'Activo'), (2, 'Inactivo')], default=1)),
            ],
            options={
                'verbose_name': 'Conductor Vehiculo',
                'verbose_name_plural': 'Conductor Vehículos',
            },
        ),
        migrations.CreateModel(
            name='Destino_favorito',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('cliente', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='cliente_destino_favorito', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Destino Favorito',
                'verbose_name_plural': 'Destinos Favoritos',
            },
        ),
        migrations.CreateModel(
            name='Lugar',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=150)),
            ],
            options={
                'verbose_name': 'Lugar',
                'verbose_name_plural': 'Lugares',
            },
        ),
        migrations.CreateModel(
            name='Rol',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name': 'Rol',
                'verbose_name_plural': 'Roles',
                'ordering': ['nombre'],
            },
        ),
        migrations.CreateModel(
            name='RolUsuario',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('rol_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xuber.Rol')),
            ],
            options={
                'verbose_name': 'Rol Usuario',
                'verbose_name_plural': 'Roles Usuario',
            },
        ),
        migrations.CreateModel(
            name='Vehiculo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('modelo', models.CharField(max_length=150)),
                ('placa', models.CharField(max_length=150)),
            ],
            options={
                'verbose_name': 'Vehículo',
                'verbose_name_plural': 'Vehículos',
                'ordering': ['modelo'],
            },
        ),
        migrations.CreateModel(
            name='Viaje',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tarifa', models.FloatField(blank=True, null=True)),
                ('puntaje_conductor', models.IntegerField(choices=[(1, 'Pésimo'), (2, 'Malo'), (3, 'Regular'), (4, 'Bueno'), (5, 'Excelente')], default=5)),
                ('puntaje_cliente', models.IntegerField(choices=[(1, 'Pésimo'), (2, 'Malo'), (3, 'Regular'), (4, 'Bueno'), (5, 'Excelente')], default=5)),
                ('estado', models.IntegerField(choices=[(1, 'Solicitar'), (2, 'En ruta'), (3, 'Finalizado')], default=1)),
                ('cliente', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='cliente', to=settings.AUTH_USER_MODEL)),
                ('conductor', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='conductor', to=settings.AUTH_USER_MODEL)),
                ('destino', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='destino', to='xuber.Destino_favorito')),
                ('origen', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='origen', to='xuber.Lugar')),
            ],
            options={
                'verbose_name': 'Viaje',
                'verbose_name_plural': 'Viajes',
            },
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombres', models.CharField(max_length=150)),
                ('apellidos', models.CharField(max_length=150)),
                ('rol', models.ManyToManyField(through='xuber.RolUsuario', to='xuber.Rol')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('vehiculo', models.ManyToManyField(through='xuber.ConductorVehiculo', to='xuber.Vehiculo')),
            ],
            options={
                'verbose_name': 'Usuario',
                'verbose_name_plural': 'Usuarios',
                'ordering': ['apellidos'],
            },
        ),
        migrations.AddField(
            model_name='rolusuario',
            name='usuario_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xuber.Usuario'),
        ),
        migrations.AddField(
            model_name='destino_favorito',
            name='lugar',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xuber.Lugar'),
        ),
        migrations.AddField(
            model_name='conductorvehiculo',
            name='usuario_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xuber.Usuario'),
        ),
        migrations.AddField(
            model_name='conductorvehiculo',
            name='vehiculo_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xuber.Vehiculo'),
        ),
    ]
